created: '2019-07-15T12:06:30.963270Z'
digest: 514a0bb0d783494176c26fc2ee340bb29be0565d5ebac8fec47dc41a4db7a71f
id: 67edc6c1-0111-48db-8024-3811707a32ac
inputs:
- name: inputs
outputs:
- data: steps.5.produce
  name: output predictions
schema: https://metadata.datadrivendiscovery.org/schemas/v0/pipeline.json
steps:
- arguments:
    inputs:
      data: inputs.0
      type: CONTAINER
  hyperparams:
    fit_primitive:
      data: 'no'
      type: VALUE
    primitive:
      data:
        case: transformer
        value:
          class: d3m.primitives.data_transformation.column_parser.DataFrameCommon
      type: VALUE
    resources:
      data:
        case: all
        value: all
      type: VALUE
  outputs:
  - id: produce
  primitive:
    digest: b602026372cab83090708ad7f1c8e8e9d48cd03b1841f59b52b59244727a4aa0
    id: 5bef5738-1638-48d6-9935-72445f0eecdc
    name: Map DataFrame resources to new resources using provided primitive
    python_path: d3m.primitives.operator.dataset_map.DataFrameCommon
    version: 0.1.0
  type: PRIMITIVE
- arguments:
    inputs:
      data: steps.0.produce
      type: CONTAINER
  outputs:
  - id: produce
  primitive:
    digest: 9b5ce28665e6f725350447ab1274d6d0af8779813a036dbee1a7d890ea2709db
    id: e659ef3a-f17c-4bbf-9e5a-13de79a4e55b
    name: Multi Table Deep Feature Synthesis
    python_path: d3m.primitives.feature_construction.deep_feature_synthesis.MultiTableFeaturization
    version: 0.6.1
  type: PRIMITIVE
- arguments:
    inputs:
      data: steps.1.produce
      type: CONTAINER
  outputs:
  - id: produce
  primitive:
    digest: 10297ac37a2778a43d053387b42925c6b92de319bb6e0dd522ff4cbc9617e226
    id: 6c5dcfa3-1f87-4066-b16a-88c9c971f6e3
    name: Single Table Deep Feature Synthesis
    python_path: d3m.primitives.feature_construction.deep_feature_synthesis.SingleTableFeaturization
    version: 0.6.1
  type: PRIMITIVE
- arguments:
    inputs:
      data: steps.2.produce
      type: CONTAINER
  hyperparams:
    use_semantic_types:
      data: true
      type: VALUE
  outputs:
  - id: produce
  primitive:
    digest: d6902b0ef72b4cd6fc5f79054f7a534404c708e1244e94a2713a9dd525c78eed
    id: d016df89-de62-3c53-87ed-c06bb6a23cde
    name: sklearn.impute.SimpleImputer
    python_path: d3m.primitives.data_cleaning.imputer.SKlearn
    version: 2019.6.7
  type: PRIMITIVE
- arguments:
    inputs:
      data: steps.3.produce
      type: CONTAINER
    outputs:
      data: steps.1.produce
      type: CONTAINER
  outputs:
  - id: produce
  primitive:
    digest: 92c2ba639ead09cba5626c5e81f4e57a55e4bccb25cfc5d16d0c945a936a104d
    id: fe0841b7-6e70-4bc3-a56c-0670a95ebc6a
    name: XGBoost GBTree classifier
    python_path: d3m.primitives.classification.xgboost_gbtree.DataFrameCommon
    version: 0.1.0
  type: PRIMITIVE
- arguments:
    inputs:
      data: steps.4.produce
      type: CONTAINER
    reference:
      data: steps.1.produce
      type: CONTAINER
  outputs:
  - id: produce
  primitive:
    digest: 96382129c2d9e87a2c0ab0b477b410947e5644d4dfae24e905d16a72d32dc41b
    id: 8d38b340-f83f-4877-baaa-162f8e551736
    name: Construct pipeline predictions output
    python_path: d3m.primitives.data_transformation.construct_predictions.DataFrameCommon
    version: 0.3.0
  type: PRIMITIVE
